<!DOCTYPE html>
<html><head>
<title>eric7.Plugins.VcsPlugins.vcsMercurial.HgDialog</title>
<meta charset="UTF-8">
<link rel="stylesheet" href="styles.css">
</head>
<body>
<a NAME="top" ID="top"></a>
<h1>eric7.Plugins.VcsPlugins.vcsMercurial.HgDialog</h1>
<p>
Module implementing a dialog starting a process and showing its output.
</p>

<h3>Global Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Classes</h3>
<table>
<tr>
<td><a href="#HgDialog">HgDialog</a></td>
<td>Class implementing a dialog starting a process and showing its output.</td>
</tr>
</table>

<h3>Functions</h3>
<table>
<tr><td>None</td></tr>
</table>

<hr />
<hr />
<a NAME="HgDialog" ID="HgDialog"></a>
<h2>HgDialog</h2>
<p>
    Class implementing a dialog starting a process and showing its output.
</p>
<p>
    It starts a QProcess and displays a dialog that
    shows the output of the process. The dialog is modal,
    which causes a synchronized execution of the process.
</p>

<h3>Derived from</h3>
QDialog, Ui_HgDialog
<h3>Class Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Class Methods</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Methods</h3>
<table>
<tr>
<td><a href="#HgDialog.__init__">HgDialog</a></td>
<td>Constructor</td>
</tr>
<tr>
<td><a href="#HgDialog.__finish">__finish</a></td>
<td>Private slot called when the process finished or the user pressed the button.</td>
</tr>
<tr>
<td><a href="#HgDialog.__getInput">__getInput</a></td>
<td>Private method to get some input from the user.</td>
</tr>
<tr>
<td><a href="#HgDialog.__showError">__showError</a></td>
<td>Private slot to show some error.</td>
</tr>
<tr>
<td><a href="#HgDialog.__showOutput">__showOutput</a></td>
<td>Private slot to show some output.</td>
</tr>
<tr>
<td><a href="#HgDialog.hasAddOrDelete">hasAddOrDelete</a></td>
<td>Public method to check, if the last action contained an add or delete.</td>
</tr>
<tr>
<td><a href="#HgDialog.normalExit">normalExit</a></td>
<td>Public method to check for a normal process termination.</td>
</tr>
<tr>
<td><a href="#HgDialog.normalExitWithoutErrors">normalExitWithoutErrors</a></td>
<td>Public method to check for a normal process termination without error messages.</td>
</tr>
<tr>
<td><a href="#HgDialog.on_buttonBox_clicked">on_buttonBox_clicked</a></td>
<td>Private slot called by a button of the button box clicked.</td>
</tr>
<tr>
<td><a href="#HgDialog.startProcess">startProcess</a></td>
<td>Public slot used to start the process.</td>
</tr>
</table>

<h3>Static Methods</h3>
<table>
<tr><td>None</td></tr>
</table>


<a NAME="HgDialog.__init__" ID="HgDialog.__init__"></a>
<h4>HgDialog (Constructor)</h4>
<b>HgDialog</b>(<i>text, hg=None, parent=None</i>)
<p>
        Constructor
</p>

<dl>

<dt><i>text</i> (str)</dt>
<dd>
text to be shown by the label
</dd>
<dt><i>hg</i> (Hg)</dt>
<dd>
reference to the Mercurial interface object
</dd>
<dt><i>parent</i> (QWidget)</dt>
<dd>
parent widget
</dd>
</dl>
<a NAME="HgDialog.__finish" ID="HgDialog.__finish"></a>
<h4>HgDialog.__finish</h4>
<b>__finish</b>(<i></i>)
<p>
        Private slot called when the process finished or the user pressed
        the button.
</p>

<a NAME="HgDialog.__getInput" ID="HgDialog.__getInput"></a>
<h4>HgDialog.__getInput</h4>
<b>__getInput</b>(<i>size, message</i>)
<p>
        Private method to get some input from the user.
</p>

<dl>

<dt><i>size</i> (int)</dt>
<dd>
maximum length of the requested input
</dd>
<dt><i>message</i> (str)</dt>
<dd>
message sent by the server
</dd>
</dl>
<dl>
<dt>Return:</dt>
<dd>
tuple containing data entered by the user and
            a flag indicating a password input
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
tuple of (str, bool)
</dd>
</dl>
<a NAME="HgDialog.__showError" ID="HgDialog.__showError"></a>
<h4>HgDialog.__showError</h4>
<b>__showError</b>(<i>out</i>)
<p>
        Private slot to show some error.
</p>

<dl>

<dt><i>out</i> (str)</dt>
<dd>
error to be shown
</dd>
</dl>
<a NAME="HgDialog.__showOutput" ID="HgDialog.__showOutput"></a>
<h4>HgDialog.__showOutput</h4>
<b>__showOutput</b>(<i>out</i>)
<p>
        Private slot to show some output.
</p>

<dl>

<dt><i>out</i> (str)</dt>
<dd>
output to be shown
</dd>
</dl>
<a NAME="HgDialog.hasAddOrDelete" ID="HgDialog.hasAddOrDelete"></a>
<h4>HgDialog.hasAddOrDelete</h4>
<b>hasAddOrDelete</b>(<i></i>)
<p>
        Public method to check, if the last action contained an add or delete.
</p>

<dl>
<dt>Return:</dt>
<dd>
flag indicating the presence of an add or delete
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
bool
</dd>
</dl>
<a NAME="HgDialog.normalExit" ID="HgDialog.normalExit"></a>
<h4>HgDialog.normalExit</h4>
<b>normalExit</b>(<i></i>)
<p>
        Public method to check for a normal process termination.
</p>

<dl>
<dt>Return:</dt>
<dd>
flag indicating normal process termination
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
bool
</dd>
</dl>
<a NAME="HgDialog.normalExitWithoutErrors" ID="HgDialog.normalExitWithoutErrors"></a>
<h4>HgDialog.normalExitWithoutErrors</h4>
<b>normalExitWithoutErrors</b>(<i></i>)
<p>
        Public method to check for a normal process termination without
        error messages.
</p>

<dl>
<dt>Return:</dt>
<dd>
flag indicating normal process termination
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
bool
</dd>
</dl>
<a NAME="HgDialog.on_buttonBox_clicked" ID="HgDialog.on_buttonBox_clicked"></a>
<h4>HgDialog.on_buttonBox_clicked</h4>
<b>on_buttonBox_clicked</b>(<i>button</i>)
<p>
        Private slot called by a button of the button box clicked.
</p>

<dl>

<dt><i>button</i> (QAbstractButton)</dt>
<dd>
button that was clicked
</dd>
</dl>
<a NAME="HgDialog.startProcess" ID="HgDialog.startProcess"></a>
<h4>HgDialog.startProcess</h4>
<b>startProcess</b>(<i>args, showArgs=True, client=None</i>)
<p>
        Public slot used to start the process.
</p>

<dl>

<dt><i>args</i> (list of str)</dt>
<dd>
list of arguments for the process
</dd>
<dt><i>showArgs</i> (bool)</dt>
<dd>
flag indicating to show the arguments
</dd>
<dt><i>client</i> (HgClient)</dt>
<dd>
reference to a non-standard command client
</dd>
</dl>
<dl>
<dt>Return:</dt>
<dd>
flag indicating a successful start of the process
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
bool
</dd>
</dl>
<div align="right"><a href="#top">Up</a></div>
<hr />
</body></html>
